# wxDataObjectSimple Class Reference
[Clipboard and Drag & Drop]

`#include <wx/dataobj.h>`

Inheritance diagram for wxDataObjectSimple:
[legend]

## Detailed Description

This is the simplest possible implementation of the wxDataObject class.

The data object of (a class derived from) this class only supports one format, so the number of virtual functions to be implemented is reduced.

Notice that this is still an abstract base class and cannot be used directly, it must be derived. The objects supporting rendering the data must override GetDataSize() and GetDataHere() while the objects which may be set must override SetData(). Of course, the objects supporting both operations must override all three methods.

wxPython Note: If you wish to create a derived wxDataObjectSimple class in wxPython you should derive the class from wxPyDataObjectSimple in order to get Python-aware capabilities for the various virtual methods.

wxPerl Note: In wxPerl, you need to derive your data object class from Wx::PlDataObjectSimple.

##

Library: wxCore

Category: Clipboard and Drag & Drop

See also:
  Drag and Drop Overview, Drag & Drop Sample, wxFileDataObject, wxTextDataObject, wxBitmapDataObject

## Public Member Functions
| wxDataObjectSimple (const wxDataFormat &format=wxFormatInvalid)
| Constructor accepts the supported format (none by default) which may also be set later with SetFormat().
virtual bool | GetDataHere (void *buf) const
| Copy the data to the buffer, return true on success.
virtual size_t | GetDataSize () const
| Gets the size of our data.
const wxDataFormat & | GetFormat () const
| Returns the (one and only one) format supported by this object.
virtual bool | SetData (size_t len, const void *buf)
| Copy the data from the buffer, return true on success.
void | SetFormat (const wxDataFormat &format)
| Sets the supported format.

List of all members.

## Constructor & Destructor Documentation

wxDataObjectSimple::wxDataObjectSimple | ( | const wxDataFormat & | format = `wxFormatInvalid` | ) |

Constructor accepts the supported format (none by default) which may also be set later with SetFormat().

## Member Function Documentation

virtual bool wxDataObjectSimple::GetDataHere | ( | void * | buf | ) | const`[virtual]`

Copy the data to the buffer, return true on success.

Must be implemented in the derived class if the object supports rendering its data.

wxPython Note: When implementing this method in wxPython, no additional parameters are required and the data should be returned from the method as a string.

virtual size_t wxDataObjectSimple::GetDataSize | ( |  | ) | const`[virtual]`

Gets the size of our data.

Must be implemented in the derived class if the object supports rendering its data.

const wxDataFormat& wxDataObjectSimple::GetFormat | ( |  | ) | const

Returns the (one and only one) format supported by this object.

It is assumed that the format is supported in both directions.

Reimplemented in wxTextDataObject.

virtual bool wxDataObjectSimple::SetData | ( | size_t | len,
|  | const void * | buf |
| ) |  |  | `[virtual]`

Copy the data from the buffer, return true on success.

Must be implemented in the derived class if the object supports setting its data.

wxPython Note: When implementing this method in wxPython, the data comes as a single string parameter rather than the two shown here.

Reimplemented in wxCustomDataObject.

void wxDataObjectSimple::SetFormat | ( | const wxDataFormat & | format | ) |

Sets the supported format.

|  | [ top ]